function geckoGetRv()
{
  if (navigator.product != 'Gecko')
  {
    return -1;
  }
  var rvValue = 0;
  var ua      = navigator.userAgent.toLowerCase();
  var rvStart = ua.indexOf('rv:');
  var rvEnd   = ua.indexOf(')', rvStart);
  var rv      = ua.substring(rvStart+3, rvEnd);
  var rvParts = rv.split('.');
  var exp     = 1;

  for (var i = 0; i < rvParts.length; i++)
  {
    var val = parseInt(rvParts[i]);
    rvValue += val / exp;
    exp *= 100;
  }

  return rvValue;
}

function ihtmlGetSupported()
{
var sup_innerhtml = false;


if(document.getElementsByTagName)
  {
    body = document.getElementsByTagName("body").item(0);
 
    if(body.innerHTML)
    {
      sup_innerhtml = true; 
    }
  
  }
  
  return sup_innerhtml;
 //return false;
}



function runPage(a,b,c) {

if (a==b) {
img = 2;
} else {
img =1;
}
inizio=a;
fine=b;
cc=c;
interloop=true;


var scrollTimer = null;
var cT = 0; var cL = 0; var cB = 0; var cR = 0;


var tempo = document.getElementById("tempo");

tempo.value=c;


SCROLL = 600;
CURTOP = 600;
FADE = (fine-inizio)*1;
SPEED = (fine-inizio)*1;

bWriting = false;

  scrollControl(inizio,fine);
}




function scrollControl(a,b) {
inizio=a;
fine=b;
  
  lyr = document.getElementById("newsLayer");
  lyrSTY = lyr.style;
  lyrHTML = lyr;
  
  
  if (document.all) {
    lyrSTY.filter = "progid:DXImageTransform.Microsoft.Fade(FADE)";
    (newsLayer.filters[0]) ? ver5 = true : ver5 = false;
    
  }
  
  (interloop)? curArt=inizio-1:clearTimeout('scrollIt(inizio,fine)', tempo.value);
  
  interloop=false;
  
  scrollIt(inizio,fine);
}



function scrollIt(a,b) {

var tempo = document.getElementById("tempo");

inizio=a;
fine=b;
  
  (document.all && ver5) ? newsLayer.filters[0].apply() : void(null);
  
  lyrSTY.visibility = 'hidden';
  
  (document.all && ver5) ? newsLayer.filters[0].play() : void(null);
  
  lyrSTY.top = (parseInt(lyrSTY.top) + CURTOP);
  
  lyrHTML.innerHTML = writeArticle(curArt);
  
  clipScroll(0, 0, 0, 1005);
  lyrSTY.visibility = 'visible';
  scroll(inizio,fine);
}



function scroll(a,b) {
inizio=a;
fine=b;
  if(scrollNews(cT, cL, cB, cR)) {
  setTimeout('scrollNew()', SPEED);
  } else {
  if(curArt < fine-1) {
  	curArt++;
  	setTimeout('scrollIt(inizio,fine)', tempo.value);
    } else {
    (interloop)? curArt=inizio-1:clearTimeout('scrollIt(inizio,fine)', tempo.value);
    }
    
}
}


function scrollNews(oT, oL, oB, oR) {
  topY = parseInt(lyrSTY.top);
  if (oB >= CURTOP) {
    return true;
  } else {
    clipScroll(oT, oL, oB + SCROLL, oR);lyrSTY.top = topY - SCROLL;
    return false;
  }
}



function clipScroll(cTop, cLeft, cBottom, cRight) {
  if(document.all) {
    lyrSTY.clip = 'rect(' + cTop + ' ' + cRight + ' ' + cBottom + ' ' + cLeft + ')';
  } else {
    lyrSTY.clip.left = cLeft;lyrSTY.clip.right = cRight;lyrSTY.clip.top = cTop;lyrSTY.clip.bottom = cBottom;
  }
  cT = cTop; cL = cLeft;cB = cBottom; cR = cRight;
}
